package com.tanpu.feo.feojob.service.jyzy;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tanpu.feo.feojob.constant.BaseConstant;
import com.tanpu.feo.feojob.dao.jyzyuser.entity.JyzyOrgEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import com.tanpu.feo.feojob.dao.jyzyuser.mapper.JyzyOrgMapper;
import lombok.extern.slf4j.Slf4j;


/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月26日
 * @version 1.0
 */
@Service("JyzyOrgService")
@Slf4j
public class JyzyOrgService {

	@Autowired
	private JyzyOrgMapper jyzyOrgMapper;


	public JyzyOrgEntity getOrgByOrgCode(String jyzyOrgCode) {
		LambdaQueryWrapper<JyzyOrgEntity> jyzyOrgLambdaQueryWrapper = Wrappers.lambdaQuery(JyzyOrgEntity.class);
		jyzyOrgLambdaQueryWrapper.eq(JyzyOrgEntity::getOrgCode, jyzyOrgCode).eq(JyzyOrgEntity::getDeleteTag, BaseConstant.DeleteTagInt.NOT_DELETED);
		return jyzyOrgMapper.selectOne(jyzyOrgLambdaQueryWrapper);
	}
}
